# Change Log

## v4.3.1 (2018-02-11)

#### :rocket: Enhancement
* [#204](https://github.com/ember-cli/ember-cli-qunit/pull/204) Update dependencies to latest versions. ([@rwjblue](https://github.com/rwjblue))

#### :house: Internal
* [#200](https://github.com/ember-cli/ember-cli-qunit/pull/200) Update RELEASE.md for lerna-changelog & travis deploy. ([@kategengler](https://github.com/kategengler))

#### Committers: 2
- Katie Gengler ([kategengler](https://github.com/kategengler))
- Robert Jackson ([rwjblue](https://github.com/rwjblue))

## v4.3.0 (2018-01-17)

#### :bug: Bug Fix
* Update minimum version of ember-qunit to 3.3.0.
  * [emberjs/ember-qunit#307](https://github.com/emberjs/ember-qunit/pull/307) Remove `exception` method from QUnit test adapter when using Ember 2.17+.  ([@rwjblue](https://github.com/rwjblue))
  * [emberjs/ember-qunit#306](https://github.com/emberjs/ember-qunit/pull/306) Update to QUnit 2.5.0. ([@rwjblue](https://github.com/rwjblue))
    * Adds `assert.rejects`.
    * Reduces the delays around `assert.async` and returning promises from hook methods.
    * Adds a native promise unhandled rejection handler.
    * Fixes an issue with `notrycatch` mode being ignored for promises returned (e.g. it would previously always `.catch` every returned promise).
  * [emberjs/ember-qunit#304](https://github.com/emberjs/ember-qunit/pull/304) [BREAKING BUGFIX] Add validation for `Ember.onerror` in testing. ([@rwjblue](https://github.com/rwjblue))

## v4.2.1 (2017-12-18)

#### :bug: Bug Fix
* [#198](https://github.com/ember-cli/ember-cli-qunit/pull/198) Update minimum version of ember-qunit. ([@rwjblue](https://github.com/rwjblue))
  * Ensures re-exports from ember-test-helpers are still present (with a deprecation).
  * Ensures that `Ember.testing` is set properly from "normal" non `moduleFor*` and/or `setup*Test` style tests.

#### :house: Internal
* [#197](https://github.com/ember-cli/ember-cli-qunit/pull/197) Update ember-cli blueprint to 2.17.1.. ([@rwjblue](https://github.com/rwjblue))

#### Committers: 1
- Robert Jackson ([rwjblue](https://github.com/rwjblue))

## v4.2.0 (2017-12-17)

#### :rocket: Enhancement
* [#196](https://github.com/ember-cli/ember-cli-qunit/pull/196) Update ember-qunit to 3.2.0 (includes `setupApplicationTest`).. ([@rwjblue](https://github.com/rwjblue))

#### Committers: 1
- Robert Jackson ([rwjblue](https://github.com/rwjblue))

## [v4.1.0](https://github.com/ember-cli/ember-cli-qunit/tree/v4.1.0) (2017-11-11)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.0.2...v4.1.0)

**Closed issues:**

- Error: Merge error: conflicting capitalizations [\#195](https://github.com/ember-cli/ember-cli-qunit/issues/195)

## [v4.0.2](https://github.com/ember-cli/ember-cli-qunit/tree/v4.0.2) (2017-11-06)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.1.0-beta.3...v4.0.2)

## [v4.1.0-beta.3](https://github.com/ember-cli/ember-cli-qunit/tree/v4.1.0-beta.3) (2017-11-06)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.1.0-beta.2...v4.1.0-beta.3)

**Closed issues:**

- generateTestFile\(\) can generate broken code [\#142](https://github.com/ember-cli/ember-cli-qunit/issues/142)

**Merged pull requests:**

- Remove `setTestGenerator` shenanigans. [\#193](https://github.com/ember-cli/ember-cli-qunit/pull/193) ([rwjblue](https://github.com/rwjblue))

## [v4.1.0-beta.2](https://github.com/ember-cli/ember-cli-qunit/tree/v4.1.0-beta.2) (2017-10-08)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.1.0-beta.1...v4.1.0-beta.2)

**Merged pull requests:**

- Ensure contentFor and setTestGenerator are forwarded to ember-qunit. [\#192](https://github.com/ember-cli/ember-cli-qunit/pull/192) ([rwjblue](https://github.com/rwjblue))

## [v4.1.0-beta.1](https://github.com/ember-cli/ember-cli-qunit/tree/v4.1.0-beta.1) (2017-10-08)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.0.1...v4.1.0-beta.1)

**Closed issues:**

- Qunit Issues with Ember 2.10 and Qunit 3.01 [\#172](https://github.com/ember-cli/ember-cli-qunit/issues/172)

**Merged pull requests:**

- Remove functionality to defer to ember-qunit API. [\#191](https://github.com/ember-cli/ember-cli-qunit/pull/191) ([rwjblue](https://github.com/rwjblue))
- Add RELEASE.md documentation [\#189](https://github.com/ember-cli/ember-cli-qunit/pull/189) ([trentmwillis](https://github.com/trentmwillis))
- docked testContainer should stick to the bottom of the window [\#188](https://github.com/ember-cli/ember-cli-qunit/pull/188) ([tony2n2](https://github.com/tony2n2))

## [v4.0.1](https://github.com/ember-cli/ember-cli-qunit/tree/v4.0.1) (2017-08-29)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.0.0...v4.0.1)

**Implemented enhancements:**

- CI: Use "auto-dist-tag" for deployment [\#181](https://github.com/ember-cli/ember-cli-qunit/pull/181) ([Turbo87](https://github.com/Turbo87))

**Fixed bugs:**

- Dependency on ember-cli-babel 6.0.0 beta blocks Node 7 [\#185](https://github.com/ember-cli/ember-cli-qunit/issues/185)

**Closed issues:**

- v4.0.0 just hangs [\#184](https://github.com/ember-cli/ember-cli-qunit/issues/184)
- Tests hanging upgrading from 2.2.5 to 4.0.0 [\#183](https://github.com/ember-cli/ember-cli-qunit/issues/183)
- Tests are hanging with v4.0.0 [\#182](https://github.com/ember-cli/ember-cli-qunit/issues/182)

**Merged pull requests:**

- Update ember-cli-version-checker [\#187](https://github.com/ember-cli/ember-cli-qunit/pull/187) ([ef4](https://github.com/ef4))
- Bump ember-cli-babel for Node 8 support [\#186](https://github.com/ember-cli/ember-cli-qunit/pull/186) ([trentmwillis](https://github.com/trentmwillis))

## [v4.0.0](https://github.com/ember-cli/ember-cli-qunit/tree/v4.0.0) (2017-04-30)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v4.0.0-beta.1...v4.0.0)

**Closed issues:**

- skipping first test in a module leaves module undefined during test hooks [\#179](https://github.com/ember-cli/ember-cli-qunit/issues/179)
- ember-qunit to 2.1.2 [\#178](https://github.com/ember-cli/ember-cli-qunit/issues/178)
- Maximum call stack size exceeded [\#174](https://github.com/ember-cli/ember-cli-qunit/issues/174)
- Wierd errors after upgrading to 3.0.4 [\#162](https://github.com/ember-cli/ember-cli-qunit/issues/162)
- Provide ability to inject html into test-body [\#154](https://github.com/ember-cli/ember-cli-qunit/issues/154)
- rootElement isn't expressive enough. [\#81](https://github.com/ember-cli/ember-cli-qunit/issues/81)

**Merged pull requests:**

- don't cover open Module drop-down [\#180](https://github.com/ember-cli/ember-cli-qunit/pull/180) ([mminkoff](https://github.com/mminkoff))

## [v4.0.0-beta.1](https://github.com/ember-cli/ember-cli-qunit/tree/v4.0.0-beta.1) (2017-03-25)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.6...v4.0.0-beta.1)

**Closed issues:**

- Replace auto-load with "loader" function [\#171](https://github.com/ember-cli/ember-cli-qunit/issues/171)

**Merged pull requests:**

- Update associated dependnecies to Babel 6. [\#177](https://github.com/ember-cli/ember-cli-qunit/pull/177) ([rwjblue](https://github.com/rwjblue))
- Replace autostart behavior with hook to start tests. [\#176](https://github.com/ember-cli/ember-cli-qunit/pull/176) ([rwjblue](https://github.com/rwjblue))
- Update to Babel 6. [\#175](https://github.com/ember-cli/ember-cli-qunit/pull/175) ([rwjblue](https://github.com/rwjblue))

## [v2.2.6](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.6) (2017-03-12)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.1.1...v2.2.6)

**Merged pull requests:**

- Prevent clobbering custom `this.options.babel`. [\#173](https://github.com/ember-cli/ember-cli-qunit/pull/173) ([rwjblue](https://github.com/rwjblue))

## [v3.1.1](https://github.com/ember-cli/ember-cli-qunit/tree/v3.1.1) (2017-02-01)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.1.0...v3.1.1)

**Merged pull requests:**

- Override height in full-screen mode [\#170](https://github.com/ember-cli/ember-cli-qunit/pull/170) ([hidnasio](https://github.com/hidnasio))
- Change addon name from Ember CLI QUnit to ember-cli-qunit [\#167](https://github.com/ember-cli/ember-cli-qunit/pull/167) ([trentmwillis](https://github.com/trentmwillis))
- CI: Enable automatic NPM deployment for tags [\#166](https://github.com/ember-cli/ember-cli-qunit/pull/166) ([Turbo87](https://github.com/Turbo87))

## [v3.1.0](https://github.com/ember-cli/ember-cli-qunit/tree/v3.1.0) (2017-01-09)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.5...v3.1.0)

**Implemented enhancements:**

- Convert `ember-cli-test-loader` to internal dependency [\#163](https://github.com/ember-cli/ember-cli-qunit/issues/163)
- Convert "ember-cli-test-loader" to addon dependency [\#165](https://github.com/ember-cli/ember-cli-qunit/pull/165) ([Turbo87](https://github.com/Turbo87))

## [v2.2.5](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.5) (2016-12-13)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.4...v2.2.5)

## [v3.0.4](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.4) (2016-12-13)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.4...v3.0.4)

**Merged pull requests:**

- Replace version check with babel options check [\#161](https://github.com/ember-cli/ember-cli-qunit/pull/161) ([trentmwillis](https://github.com/trentmwillis))

## [v2.2.4](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.4) (2016-12-13)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.3...v2.2.4)

## [v3.0.3](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.3) (2016-12-13)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.2...v3.0.3)

**Closed issues:**

- No compatible version found: ember-cli-qunit@^3.0.2 [\#153](https://github.com/ember-cli/ember-cli-qunit/issues/153)
- Acceptance test container not visible unless addon options specified in ember-cli-build.js file [\#150](https://github.com/ember-cli/ember-cli-qunit/issues/150)

**Merged pull requests:**

- \[2.x\] Preprocess addon-test-support files in upcoming ember-cli [\#160](https://github.com/ember-cli/ember-cli-qunit/pull/160) ([trentmwillis](https://github.com/trentmwillis))
- Preprocess addon-test-support files in upcoming ember-cli [\#159](https://github.com/ember-cli/ember-cli-qunit/pull/159) ([trentmwillis](https://github.com/trentmwillis))
- Update "ember-qunit" to v2.0.0-beta.1 [\#157](https://github.com/ember-cli/ember-cli-qunit/pull/157) ([Turbo87](https://github.com/Turbo87))

## [v3.0.2](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.2) (2016-09-28)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.3...v3.0.2)

## [v2.2.3](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.3) (2016-09-28)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.1...v2.2.3)

**Closed issues:**

- ember test not running entire test suite with v2.2.2 [\#149](https://github.com/ember-cli/ember-cli-qunit/issues/149)
- Using test from shims produces deprecation warnings [\#148](https://github.com/ember-cli/ember-cli-qunit/issues/148)
- Upgrading to 2.2.2 causes our tests to not run [\#147](https://github.com/ember-cli/ember-cli-qunit/issues/147)

**Merged pull requests:**

- Fix boolean for acceptance testing container styles. [\#152](https://github.com/ember-cli/ember-cli-qunit/pull/152) ([nathanhammond](https://github.com/nathanhammond))
- ember-try@0.2.6 breaks build 🚨 [\#151](https://github.com/ember-cli/ember-cli-qunit/pull/151) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v3.0.1](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.1) (2016-09-11)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.2...v3.0.1)

## [v2.2.2](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.2) (2016-09-11)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.0...v2.2.2)

**Merged pull requests:**

- Prevent calling `QUnit.start` twice with jQuery 3.0. [\#146](https://github.com/ember-cli/ember-cli-qunit/pull/146) ([rwjblue](https://github.com/rwjblue))
- Prevent calling `QUnit.start` twice with jQuery 3.0. [\#145](https://github.com/ember-cli/ember-cli-qunit/pull/145) ([rwjblue](https://github.com/rwjblue))

## [v3.0.0](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.0) (2016-08-22)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.0-beta.2...v3.0.0)

## [v3.0.0-beta.2](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.0-beta.2) (2016-08-18)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v3.0.0-beta.1...v3.0.0-beta.2)

**Merged pull requests:**

- Use 2x for height and width of \#ember-testing. [\#144](https://github.com/ember-cli/ember-cli-qunit/pull/144) ([rwjblue](https://github.com/rwjblue))

## [v3.0.0-beta.1](https://github.com/ember-cli/ember-cli-qunit/tree/v3.0.0-beta.1) (2016-08-18)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.1...v3.0.0-beta.1)

**Implemented enhancements:**

- Upgrade to latest qunitjs [\#141](https://github.com/ember-cli/ember-cli-qunit/issues/141)

**Merged pull requests:**

- Add CHANGELOG file [\#143](https://github.com/ember-cli/ember-cli-qunit/pull/143) ([Turbo87](https://github.com/Turbo87))
- Upgrade QUnit to 2.0 [\#134](https://github.com/ember-cli/ember-cli-qunit/pull/134) ([trentmwillis](https://github.com/trentmwillis))
- Remove backwards compat shims. [\#115](https://github.com/ember-cli/ember-cli-qunit/pull/115) ([rwjblue](https://github.com/rwjblue))

## [v2.2.1](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.1) (2016-08-03)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.2.0...v2.2.1)

**Fixed bugs:**

- No test cases to run [\#138](https://github.com/ember-cli/ember-cli-qunit/issues/138)
- Use jQuery if it is present. [\#137](https://github.com/ember-cli/ember-cli-qunit/pull/137) ([rwjblue](https://github.com/rwjblue))

## [v2.2.0](https://github.com/ember-cli/ember-cli-qunit/tree/v2.2.0) (2016-08-02)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.1.0...v2.2.0)

**Implemented enhancements:**

- slows startup time [\#122](https://github.com/ember-cli/ember-cli-qunit/issues/122)

**Fixed bugs:**

- The testing css breaks getClientBoundingRect with non standards compliant css [\#48](https://github.com/ember-cli/ember-cli-qunit/issues/48)

**Closed issues:**

- jQuery document ready not guaranteed to be available [\#40](https://github.com/ember-cli/ember-cli-qunit/issues/40)

**Merged pull requests:**

- Remove jQuery requirement. [\#136](https://github.com/ember-cli/ember-cli-qunit/pull/136) ([rwjblue](https://github.com/rwjblue))
- Add a README note about JSHint extraction in 2.x [\#135](https://github.com/ember-cli/ember-cli-qunit/pull/135) ([reidab](https://github.com/reidab))

## [v2.1.0](https://github.com/ember-cli/ember-cli-qunit/tree/v2.1.0) (2016-06-24)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.0.3...v2.1.0)

**Merged pull requests:**

- Make requires lazy to improve startup times [\#123](https://github.com/ember-cli/ember-cli-qunit/pull/123) ([trentmwillis](https://github.com/trentmwillis))
- Introduce development mode option [\#120](https://github.com/ember-cli/ember-cli-qunit/pull/120) ([trentmwillis](https://github.com/trentmwillis))

## [v2.0.3](https://github.com/ember-cli/ember-cli-qunit/tree/v2.0.3) (2016-06-17)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.4.2...v2.0.3)

**Merged pull requests:**

- Remove ember-qunit-notifications and import qunit-notifications from NPM [\#119](https://github.com/ember-cli/ember-cli-qunit/pull/119) ([trentmwillis](https://github.com/trentmwillis))

## [v1.4.2](https://github.com/ember-cli/ember-cli-qunit/tree/v1.4.2) (2016-06-17)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.0.2...v1.4.2)

**Implemented enhancements:**

- Pull QUnit From NPM Instead Of Bower [\#26](https://github.com/ember-cli/ember-cli-qunit/issues/26)

**Fixed bugs:**

- Deprecation warning with ember 2.6.0 [\#121](https://github.com/ember-cli/ember-cli-qunit/issues/121)

**Closed issues:**

- Path or pattern "bower\_components/ember-qunit/named-amd/main.js" did not match any files [\#37](https://github.com/ember-cli/ember-cli-qunit/issues/37)
- TESTS!!!!! [\#22](https://github.com/ember-cli/ember-cli-qunit/issues/22)
- Clicking the app name in QUnit should run all tests [\#16](https://github.com/ember-cli/ember-cli-qunit/issues/16)

## [v2.0.2](https://github.com/ember-cli/ember-cli-qunit/tree/v2.0.2) (2016-05-20)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v2.0.0...v2.0.2)

**Closed issues:**

- Improve re-throwing of test-loader failures [\#100](https://github.com/ember-cli/ember-cli-qunit/issues/100)
- `lodash-node` deprecated \(from old version of `broccoli-sourcemap-concat`\) [\#98](https://github.com/ember-cli/ember-cli-qunit/issues/98)

**Merged pull requests:**

- Call super [\#118](https://github.com/ember-cli/ember-cli-qunit/pull/118) ([stefanpenner](https://github.com/stefanpenner))
- Re-throw TestLoader failures during QUnit.done [\#117](https://github.com/ember-cli/ember-cli-qunit/pull/117) ([trentmwillis](https://github.com/trentmwillis))

## [v2.0.0](https://github.com/ember-cli/ember-cli-qunit/tree/v2.0.0) (2016-05-08)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.4.1...v2.0.0)

**Fixed bugs:**

- Breaking change in 1.4.0, requiring ember-cli-test-loader \>= 1.0.0 [\#110](https://github.com/ember-cli/ember-cli-qunit/issues/110)

**Closed issues:**

- Suggest changing message to upgrade ember-cli-loader from 1.0.0 to 0.2.2 [\#109](https://github.com/ember-cli/ember-cli-qunit/issues/109)
- You cannot use the same root element \(\#ember-testing\) multiple times in an Ember.Application [\#101](https://github.com/ember-cli/ember-cli-qunit/issues/101)

**Merged pull requests:**

- Remove JSHint lintTree [\#114](https://github.com/ember-cli/ember-cli-qunit/pull/114) ([Turbo87](https://github.com/Turbo87))
- Prepare for test-loader being in NPM [\#113](https://github.com/ember-cli/ember-cli-qunit/pull/113) ([trentmwillis](https://github.com/trentmwillis))

## [v1.4.1](https://github.com/ember-cli/ember-cli-qunit/tree/v1.4.1) (2016-03-26)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.4.0...v1.4.1)

**Merged pull requests:**

- Do not require upgrading test-loader [\#112](https://github.com/ember-cli/ember-cli-qunit/pull/112) ([trentmwillis](https://github.com/trentmwillis))

## [v1.4.0](https://github.com/ember-cli/ember-cli-qunit/tree/v1.4.0) (2016-03-19)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.3.0...v1.4.0)

**Merged pull requests:**

- Allow ".lint-test" suffix to work along with ".jshint" [\#108](https://github.com/ember-cli/ember-cli-qunit/pull/108) ([mitchlloyd](https://github.com/mitchlloyd))

## [v1.3.0](https://github.com/ember-cli/ember-cli-qunit/tree/v1.3.0) (2016-03-02)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.2.4...v1.3.0)

**Closed issues:**

- version 1.2.2 throws error when building  [\#103](https://github.com/ember-cli/ember-cli-qunit/issues/103)

**Merged pull requests:**

- Use broccoli-concat instead of broccoli-soucremap-concat [\#107](https://github.com/ember-cli/ember-cli-qunit/pull/107) ([krisselden](https://github.com/krisselden))
- Implement test file generator function [\#105](https://github.com/ember-cli/ember-cli-qunit/pull/105) ([Turbo87](https://github.com/Turbo87))

## [v1.2.4](https://github.com/ember-cli/ember-cli-qunit/tree/v1.2.4) (2016-02-14)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.2.3...v1.2.4)

## [v1.2.3](https://github.com/ember-cli/ember-cli-qunit/tree/v1.2.3) (2016-02-14)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.2.2...v1.2.3)

## [v1.2.2](https://github.com/ember-cli/ember-cli-qunit/tree/v1.2.2) (2016-02-14)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.2.1...v1.2.2)

**Merged pull requests:**

- Disabling JSHint linting when linting addon exists. [\#102](https://github.com/ember-cli/ember-cli-qunit/pull/102) ([rwjblue](https://github.com/rwjblue))

## [v1.2.1](https://github.com/ember-cli/ember-cli-qunit/tree/v1.2.1) (2016-01-18)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.2.0...v1.2.1)

**Closed issues:**

- Bumping to 1.1.0 stops tests from running [\#95](https://github.com/ember-cli/ember-cli-qunit/issues/95)
- v1.2.0 not on NPM [\#94](https://github.com/ember-cli/ember-cli-qunit/issues/94)
- `useLintTree: false` breaks the app if Babel is used [\#83](https://github.com/ember-cli/ember-cli-qunit/issues/83)

**Merged pull requests:**

- Fix issues with 1.2.0+ and ember-cli@2.2.0-beta.{1,2}. [\#99](https://github.com/ember-cli/ember-cli-qunit/pull/99) ([rwjblue](https://github.com/rwjblue))
- Use `this.\_super.included.call\(this, target\)` in `included` function. [\#97](https://github.com/ember-cli/ember-cli-qunit/pull/97) ([mkempe](https://github.com/mkempe))

## [v1.2.0](https://github.com/ember-cli/ember-cli-qunit/tree/v1.2.0) (2015-12-13)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.1.0...v1.2.0)

**Merged pull requests:**

- Make QUnit an NPM dep. [\#93](https://github.com/ember-cli/ember-cli-qunit/pull/93) ([rwjblue](https://github.com/rwjblue))

## [v1.1.0](https://github.com/ember-cli/ember-cli-qunit/tree/v1.1.0) (2015-12-13)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.0.5...v1.1.0)

**Merged pull requests:**

- Use ember-qunit as an NPM dependency. [\#92](https://github.com/ember-cli/ember-cli-qunit/pull/92) ([rwjblue](https://github.com/rwjblue))

## [v1.0.5](https://github.com/ember-cli/ember-cli-qunit/tree/v1.0.5) (2015-12-12)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.0.4...v1.0.5)

**Closed issues:**

- Can't find local modules [\#90](https://github.com/ember-cli/ember-cli-qunit/issues/90)

**Merged pull requests:**

- Update blueprint to prepare for publishing. [\#91](https://github.com/ember-cli/ember-cli-qunit/pull/91) ([rwjblue](https://github.com/rwjblue))
- Fix typo [\#89](https://github.com/ember-cli/ember-cli-qunit/pull/89) ([jaxgeller](https://github.com/jaxgeller))
- Update README with hint on how to turn of JSHint. [\#88](https://github.com/ember-cli/ember-cli-qunit/pull/88) ([martndemus](https://github.com/martndemus))

## [v1.0.4](https://github.com/ember-cli/ember-cli-qunit/tree/v1.0.4) (2015-11-10)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.0.3...v1.0.4)

**Closed issues:**

- Does moduleForComponent \(integration true\) support one way bound inputs yet? [\#85](https://github.com/ember-cli/ember-cli-qunit/issues/85)

**Merged pull requests:**

- Fixes the useLintTree: false scenario [\#87](https://github.com/ember-cli/ember-cli-qunit/pull/87) ([martndemus](https://github.com/martndemus))
- Use ember install [\#86](https://github.com/ember-cli/ember-cli-qunit/pull/86) ([martndemus](https://github.com/martndemus))
- Add additional configuration options. [\#82](https://github.com/ember-cli/ember-cli-qunit/pull/82) ([nathanhammond](https://github.com/nathanhammond))
- Allow \#ember-testing-container to be optional. [\#79](https://github.com/ember-cli/ember-cli-qunit/pull/79) ([nathanhammond](https://github.com/nathanhammond))

## [v1.0.3](https://github.com/ember-cli/ember-cli-qunit/tree/v1.0.3) (2015-09-11)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.0.2...v1.0.3)

**Merged pull requests:**

- Bump QUnit version. [\#78](https://github.com/ember-cli/ember-cli-qunit/pull/78) ([rwjblue](https://github.com/rwjblue))

## [v1.0.2](https://github.com/ember-cli/ember-cli-qunit/tree/v1.0.2) (2015-09-11)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.0.1...v1.0.2)

**Closed issues:**

- jshint error - es6 default params [\#76](https://github.com/ember-cli/ember-cli-qunit/issues/76)

**Merged pull requests:**

- Use addModuleIncludeMatcher instead of prototype mutation. [\#77](https://github.com/ember-cli/ember-cli-qunit/pull/77) ([rwjblue](https://github.com/rwjblue))

## [v1.0.1](https://github.com/ember-cli/ember-cli-qunit/tree/v1.0.1) (2015-08-20)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v1.0.0...v1.0.1)

**Fixed bugs:**

- jshint no longer skips [\#74](https://github.com/ember-cli/ember-cli-qunit/issues/74)

**Merged pull requests:**

- Upgrading broccoli-jshint to the latest [\#75](https://github.com/ember-cli/ember-cli-qunit/pull/75) ([msranade](https://github.com/msranade))

## [v1.0.0](https://github.com/ember-cli/ember-cli-qunit/tree/v1.0.0) (2015-08-05)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.4.0...v1.0.0)

## [v0.4.0](https://github.com/ember-cli/ember-cli-qunit/tree/v0.4.0) (2015-08-05)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.20...v0.4.0)

**Closed issues:**

- ember g ember-cli-qunit fails on ember-cli-test-loader [\#72](https://github.com/ember-cli/ember-cli-qunit/issues/72)

**Merged pull requests:**

- Fix default blueprint by specifying source. [\#73](https://github.com/ember-cli/ember-cli-qunit/pull/73) ([blimmer](https://github.com/blimmer))

## [v0.3.20](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.20) (2015-07-31)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.19...v0.3.20)

## [v0.3.19](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.19) (2015-07-30)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.18...v0.3.19)

## [v0.3.18](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.18) (2015-07-24)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.17...v0.3.18)

## [v0.3.17](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.17) (2015-07-23)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.16...v0.3.17)

## [v0.3.16](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.16) (2015-07-21)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.15...v0.3.16)

**Merged pull requests:**

- Update ember-qunit to 0.4.2. [\#69](https://github.com/ember-cli/ember-cli-qunit/pull/69) ([rwjblue](https://github.com/rwjblue))

## [v0.3.15](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.15) (2015-07-06)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.14...v0.3.15)

**Merged pull requests:**

- Bump ember-qunit version to 0.4.0 [\#68](https://github.com/ember-cli/ember-cli-qunit/pull/68) ([HeroicEric](https://github.com/HeroicEric))

## [v0.3.14](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.14) (2015-05-19)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.13...v0.3.14)

**Closed issues:**

- Updated broccoli-jshint to 0.5.6 [\#66](https://github.com/ember-cli/ember-cli-qunit/issues/66)

**Merged pull requests:**

- Updated broccoli-jshint to 0.5.6. [\#67](https://github.com/ember-cli/ember-cli-qunit/pull/67) ([nojacko](https://github.com/nojacko))

## [v0.3.13](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.13) (2015-05-15)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.12...v0.3.13)

**Merged pull requests:**

- Correct "Doc test pane" to "Dock test pane" [\#65](https://github.com/ember-cli/ember-cli-qunit/pull/65) ([SaladFork](https://github.com/SaladFork))

## [v0.3.12](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.12) (2015-05-07)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.11...v0.3.12)

**Closed issues:**

- Add License file? [\#61](https://github.com/ember-cli/ember-cli-qunit/issues/61)

**Merged pull requests:**

- Update ember-qunit to v0.3.2 [\#63](https://github.com/ember-cli/ember-cli-qunit/pull/63) ([HeroicEric](https://github.com/HeroicEric))
- Create LICENSE.md [\#62](https://github.com/ember-cli/ember-cli-qunit/pull/62) ([JohnQuaresma](https://github.com/JohnQuaresma))
- Adding in a semi-colon [\#60](https://github.com/ember-cli/ember-cli-qunit/pull/60) ([MichielDean](https://github.com/MichielDean))
- Exclude the project name when requiring files [\#59](https://github.com/ember-cli/ember-cli-qunit/pull/59) ([marcioj](https://github.com/marcioj))
- Adding a default timeout for QUnit tests. [\#58](https://github.com/ember-cli/ember-cli-qunit/pull/58) ([MichielDean](https://github.com/MichielDean))

## [v0.3.11](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.11) (2015-04-08)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.10...v0.3.11)

**Merged pull requests:**

- Respect user autostart settings. [\#57](https://github.com/ember-cli/ember-cli-qunit/pull/57) ([hjdivad](https://github.com/hjdivad))

## [v0.3.10](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.10) (2015-04-05)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.9...v0.3.10)

**Closed issues:**

- Unit tests fail with `this.\_containerCache is undefined` [\#54](https://github.com/ember-cli/ember-cli-qunit/issues/54)

**Merged pull requests:**

- Update ember-qunit to v0.3.1. [\#56](https://github.com/ember-cli/ember-cli-qunit/pull/56) ([rwjblue](https://github.com/rwjblue))
- Upgrade ember-qunit to 0.3.0 [\#55](https://github.com/ember-cli/ember-cli-qunit/pull/55) ([subhashb](https://github.com/subhashb))
- Feature: Allow testing preview container position to be toggleable [\#53](https://github.com/ember-cli/ember-cli-qunit/pull/53) ([TayHobbs](https://github.com/TayHobbs))

## [v0.3.9](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.9) (2015-02-28)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.8...v0.3.9)

**Merged pull requests:**

- Use `ui` if present for linting and logging. [\#52](https://github.com/ember-cli/ember-cli-qunit/pull/52) ([rwjblue](https://github.com/rwjblue))
- Update package.json [\#51](https://github.com/ember-cli/ember-cli-qunit/pull/51) ([kategengler](https://github.com/kategengler))
- Remove ember-qunit-notifications dependency [\#50](https://github.com/ember-cli/ember-cli-qunit/pull/50) ([gpoitch](https://github.com/gpoitch))

## [v0.3.8](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.8) (2015-02-15)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.7...v0.3.8)

**Merged pull requests:**

- Ensure modules that fail to load fail the build. [\#49](https://github.com/ember-cli/ember-cli-qunit/pull/49) ([rwjblue](https://github.com/rwjblue))
- Update ember-qunit dependencies [\#47](https://github.com/ember-cli/ember-cli-qunit/pull/47) ([jbrown](https://github.com/jbrown))
- Match the ember-cli blueprint [\#46](https://github.com/ember-cli/ember-cli-qunit/pull/46) ([jbrown](https://github.com/jbrown))

## [v0.3.7](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.7) (2015-02-10)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.6...v0.3.7)

**Merged pull requests:**

- Prevents module load errors from stopping test run. [\#45](https://github.com/ember-cli/ember-cli-qunit/pull/45) ([rwjblue](https://github.com/rwjblue))

## [v0.3.6](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.6) (2015-02-10)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.5...v0.3.6)

**Merged pull requests:**

- Remove ember-cli-shims requirement. [\#44](https://github.com/ember-cli/ember-cli-qunit/pull/44) ([rwjblue](https://github.com/rwjblue))

## [v0.3.5](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.5) (2015-02-10)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.4...v0.3.5)

**Fixed bugs:**

- In model unit tests `this.subject\(\).store` and `this.store\(\)` are different [\#42](https://github.com/ember-cli/ember-cli-qunit/issues/42)

**Closed issues:**

- needs release [\#25](https://github.com/ember-cli/ember-cli-qunit/issues/25)

**Merged pull requests:**

- Fix target for ember-qunit. [\#43](https://github.com/ember-cli/ember-cli-qunit/pull/43) ([rwjblue](https://github.com/rwjblue))

## [v0.3.4](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.4) (2015-02-04)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.3...v0.3.4)

**Merged pull requests:**

- Add a short delay before starting tests. [\#39](https://github.com/ember-cli/ember-cli-qunit/pull/39) ([rwjblue](https://github.com/rwjblue))

## [v0.3.3](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.3) (2015-02-02)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.2...v0.3.3)

**Merged pull requests:**

- Bump ember-qunit to v0.2.1 [\#36](https://github.com/ember-cli/ember-cli-qunit/pull/36) ([rwjblue](https://github.com/rwjblue))
- use new `addBowerPackagesToProject` [\#35](https://github.com/ember-cli/ember-cli-qunit/pull/35) ([stefanpenner](https://github.com/stefanpenner))

## [v0.3.2](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.2) (2015-01-31)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.1...v0.3.2)

**Merged pull requests:**

- Update to ember-qunit 0.2.0. [\#34](https://github.com/ember-cli/ember-cli-qunit/pull/34) ([rwjblue](https://github.com/rwjblue))

## [v0.3.1](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.1) (2015-01-28)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.3.0...v0.3.1)

**Closed issues:**

- Path or pattern "passed.png" did not match any files [\#31](https://github.com/ember-cli/ember-cli-qunit/issues/31)

**Merged pull requests:**

- Use separate .jshintrc for app and tests linting. [\#32](https://github.com/ember-cli/ember-cli-qunit/pull/32) ([rwjblue](https://github.com/rwjblue))

## [v0.3.0](https://github.com/ember-cli/ember-cli-qunit/tree/v0.3.0) (2015-01-28)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.2.0...v0.3.0)

**Merged pull requests:**

- Move test-loader into ember-cli-qunit. [\#30](https://github.com/ember-cli/ember-cli-qunit/pull/30) ([rwjblue](https://github.com/rwjblue))

## [v0.2.0](https://github.com/ember-cli/ember-cli-qunit/tree/v0.2.0) (2015-01-27)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.1.2...v0.2.0)

**Closed issues:**

- Update to QUnit 1.16. [\#19](https://github.com/ember-cli/ember-cli-qunit/issues/19)

**Merged pull requests:**

- Switch to a dedicated lintTree hook [\#29](https://github.com/ember-cli/ember-cli-qunit/pull/29) ([ef4](https://github.com/ef4))
- Handle jshinting via ember-cli's new 'lint' hooks [\#28](https://github.com/ember-cli/ember-cli-qunit/pull/28) ([ef4](https://github.com/ef4))
- Update blueprint installed package versions. [\#27](https://github.com/ember-cli/ember-cli-qunit/pull/27) ([rwjblue](https://github.com/rwjblue))
- update to 1.16 [\#24](https://github.com/ember-cli/ember-cli-qunit/pull/24) ([stefanpenner](https://github.com/stefanpenner))
- fix https://github.com/ember-cli/ember-cli-qunit/commit/afdfc2c6c3450d81... [\#23](https://github.com/ember-cli/ember-cli-qunit/pull/23) ([stefanpenner](https://github.com/stefanpenner))
- Allow ember-cli to remove inline styles. [\#21](https://github.com/ember-cli/ember-cli-qunit/pull/21) ([rwjblue](https://github.com/rwjblue))
- Removed hardcorded destDir [\#20](https://github.com/ember-cli/ember-cli-qunit/pull/20) ([chadhietala](https://github.com/chadhietala))

## [v0.1.2](https://github.com/ember-cli/ember-cli-qunit/tree/v0.1.2) (2014-11-19)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.1.1...v0.1.2)

**Closed issues:**

- Inject styles and fixture divs via contentFor hook. [\#17](https://github.com/ember-cli/ember-cli-qunit/issues/17)
- New release due to changes from \#14 [\#15](https://github.com/ember-cli/ember-cli-qunit/issues/15)

**Merged pull requests:**

- use contentFor to inject qunit div [\#18](https://github.com/ember-cli/ember-cli-qunit/pull/18) ([jakecraige](https://github.com/jakecraige))

## [v0.1.1](https://github.com/ember-cli/ember-cli-qunit/tree/v0.1.1) (2014-09-07)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.1.0...v0.1.1)

**Closed issues:**

- Cannot install in mac [\#12](https://github.com/ember-cli/ember-cli-qunit/issues/12)

**Merged pull requests:**

- get bower directory from the app instead of hardcoding to `bower\_components` [\#14](https://github.com/ember-cli/ember-cli-qunit/pull/14) ([tikotzky](https://github.com/tikotzky))

## [v0.1.0](https://github.com/ember-cli/ember-cli-qunit/tree/v0.1.0) (2014-09-05)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.0.7...v0.1.0)

**Closed issues:**

- ember-cli-qunit adds about installed in ~20MB due to the bower dep [\#9](https://github.com/ember-cli/ember-cli-qunit/issues/9)
- Do not return more than we need to from `treeFor\('vendor'\)`. [\#8](https://github.com/ember-cli/ember-cli-qunit/issues/8)

**Merged pull requests:**

- Refactor to use project's bower for deps. [\#13](https://github.com/ember-cli/ember-cli-qunit/pull/13) ([rwjblue](https://github.com/rwjblue))
- Update QUnit version [\#11](https://github.com/ember-cli/ember-cli-qunit/pull/11) ([mitchlloyd](https://github.com/mitchlloyd))

## [v0.0.7](https://github.com/ember-cli/ember-cli-qunit/tree/v0.0.7) (2014-08-27)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.0.6...v0.0.7)

## [v0.0.6](https://github.com/ember-cli/ember-cli-qunit/tree/v0.0.6) (2014-08-26)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.0.5...v0.0.6)

**Closed issues:**

- bower install necessary in postinstall? [\#6](https://github.com/ember-cli/ember-cli-qunit/issues/6)
- Error on npm install [\#2](https://github.com/ember-cli/ember-cli-qunit/issues/2)

**Merged pull requests:**

- Update bower.json for new ember-qunit-notifications [\#7](https://github.com/ember-cli/ember-cli-qunit/pull/7) ([bcardarella](https://github.com/bcardarella))
- Update bower.json [\#5](https://github.com/ember-cli/ember-cli-qunit/pull/5) ([quaertym](https://github.com/quaertym))

## [v0.0.5](https://github.com/ember-cli/ember-cli-qunit/tree/v0.0.5) (2014-08-22)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/v0.0.4...v0.0.5)

**Fixed bugs:**

- Local versions installed via bower overriding local project ones [\#3](https://github.com/ember-cli/ember-cli-qunit/issues/3)

**Closed issues:**

- Should not require `bower` to be installed globally. [\#1](https://github.com/ember-cli/ember-cli-qunit/issues/1)

**Merged pull requests:**

- Do not execute paths in node\_modules for bower install. [\#4](https://github.com/ember-cli/ember-cli-qunit/pull/4) ([rwjblue](https://github.com/rwjblue))

## [v0.0.4](https://github.com/ember-cli/ember-cli-qunit/tree/v0.0.4) (2014-08-11)
[Full Changelog](https://github.com/ember-cli/ember-cli-qunit/compare/0.0.3...v0.0.4)

## [0.0.3](https://github.com/ember-cli/ember-cli-qunit/tree/0.0.3) (2014-07-09)

